# $Revision: 1.11 $, $Date: 2006/12/11 23:56:06 $
Summary:	simple IPX bridge
Summary(pl):	prosty tunel IPX
Name:		sib
Version:	1.2
Release:	2
License:	GPL
Group:		Daemons
#Source0Download: http://members.aon.at/stsz/sib/download.html
Source0:	http://members.aon.at/stsz/sib/%{name}-%{version}.tar.gz
# Source0-md5:	ab9aed3f65676c3d9fc441dbefb12320
Patch0:		%{name}-fixes.patch
Patch1:		%{name}-lzo2.patch
URL:		http://members.aon.at/stsz/sib/
BuildRequires:	libstdc++-devel
BuildRequires:	lzo-devel >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SIB - simple IPX bridge - is a tool for tunneling IPX (and even IP and
802.3) via UDP over a public network (e.g. Internet). It is able to
put the interface it listens on to promiscous mode, so all frames (not
only broadcasts, and frames for the tunneling server) can be received.

%description -l pl
SIB - prosty most IPX - to narzdzie pozwalajce na tunelowanie IPX (a
nawet IP oraz 802.3) przy uyciu UDP poprzez publiczn sie (np.
Internet). Program potrafi uaktywni tryb promiscous na interfejsie
sieciowym dziki czemu wszystkie ramki (nie tylko broadcasty czy ramki
do serwera tunelujcego) mog by tunelowane.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	LIB="%{_lib}" \
	GPPC="%{__cxx}" \
	GPPOPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

install bin/sib	$RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COMPATIBILITY ChangeLog README THANKS TODO
%attr(755,root,root) %{_sbindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sib.spec,v $
Revision 1.11  2006/12/11 23:56:06  glen
- lzo2 ready, 64bit build needs testing

Revision 1.10  2004/04/07 23:48:30  qboosh
- updated to 1.2, added fixes patch

Revision 1.9  2003/05/28 13:01:51  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:26:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/11/29 22:46:35  ankry
- massive attack: new %doc

Revision 1.6  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:54  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/04/30 16:05:30  kloczek
- added using %{rpmcflags} macro.

Revision 1.3  2001/04/02 10:52:02  kloczek
- cosmetics.

Revision 1.2  2001/03/29 09:04:17  mis
- autoupdated to 1.1

Revision 1.1  2001/02/16 20:08:47  misiek
- new. simple IPX bridge
